{ ... }:

{
  users.ldap = {
    enable = true;
    base = "dc=crans,dc=org";
    server = "ldaps://ldap-adm.adm.crans.org/";
    daemon = {
      enable = true;
      extraConfig = ''
        ldap_version 3
          tls_reqcert allow
          map passwd loginShell /run/current-system/sw/bin/bash
      '';
    };
  };

  security.sudo = {
    enable = true;
    extraConfig = ''
      Defaults	passprompt_override
      Defaults	passprompt="[sudo] mot de passe pour %p sur %h: "
    '';
    extraRules = [
      {
        groups = [ "_user" ];
        runAs = "root:ALL";
        commands = [ "NOPASSWD:/usr/bin/qm list" ];
      }
      {
        groups = [ "_nounou" ];
        commands = [ "ALL" ];
      }
    ];
  };

  users.users.root = {
    hashedPassword = "$6$aKmj69cplAKoeR9z$BVNUsPz3sNWFdxJkDaYBsLlbdSUdsn42Rok6Ozsd8dbE8E36RX54/tuaPM2bW6/0SletzEmIAGFdf4kIWNy3O1";
  };
  services.openssh.settings.PermitRootLogin = "yes";
}
